org.apache.lucene.util

## Interface IOSupplier<T>

- Type Parameters:
    `T` - the suppliers result type.
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface IOSupplier<T>

  This is a result supplier that is allowed to throw an IOException.
  See Also:
    `Supplier`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `get()` Gets the result.

- - ### Method Detail

    - #### get

          T get()
          throws IOException

      Gets the result.
      Returns:
        the result
      Throws:
        `IOException` - if producing the result throws an `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.